Skip to main content
`Ctrl`+`K`

# SNESMSGetType

Get the type of multistage smoother `SNESMS`

## Synopsis

    #include "petscsnes.h"
    PetscErrorCode SNESMSGetType(SNES snes, SNESMSType *mstype)

Not Collective

## Input Parameter

- snes - nonlinear solver context

## Output Parameter

- mstype - type of multistage method

## See Also

SNES: Nonlinear Solvers, `SNESMS`, `SNESMSSetType()`, `SNESMSType`

## Level

advanced

## Location

src/snes/impls/ms/ms.c

## Implementations

SNESMSGetType_MS() in src/snes/impls/ms/ms.c

Index of all SNES routines
Table of Contents for all manual pages
Index of all manual pages